### Method

# Gio FileAttributeMatcher enumerate_namespace

#### Declaration [src]

    gboolean
    g_file_attribute_matcher_enumerate_namespace (
      GFileAttributeMatcher* matcher,
      const char* ns
    )

#### Description [src]

Checks if the matcher will match all of the keys in a given namespace. This will always return `TRUE` if a wildcard character is in use (e.g. if matcher was created with “standard::” and `ns` is “standard”, or if matcher was created using “” and namespace is anything.)

TODO: this is awkwardly worded.

#### Parameters

`ns`

  Type: `const char*`

  A string containing a file attribute namespace.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the matcher matches all of the entries in the given `ns`, `FALSE` otherwise.